/* Wallpapoz Copyright (C) 2004 Akbar <tuxer@myrealbox.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef WALLPAPOZ_H
#define WALLPAPOZ_H

#include <libglademm/xml.h>
#include <gtkmm/treemodelcolumn.h>
#include <gtkmm/button.h>
#include <gtkmm/image.h>
#include <gtkmm/treeview.h>
#include <gtkmm/liststore.h>
#include <gtkmm/window.h>
#include <iostream>
#include "Process.h"

class Wall : public Gtk::Window {
    public:
        Wall(BaseObjectType* cobject, const Glib::RefPtr<Gnome::Glade::Xml>&refGlade);
        virtual ~Wall();

    protected:
        virtual void on_button_save();
        virtual void on_button_quit();
        virtual void on_button_change();
        virtual void on_button_about();
        virtual void on_selection_changed();
        virtual void on_tree_start();
        virtual void on_button_kill();
        virtual void on_button_restart();

        class ModelColumns : public Gtk::TreeModel::ColumnRecord {
            public:
                ModelColumns() {
                    add(m_col_no); 
                    add(m_col_wallp);
                }

                Gtk::TreeModelColumn<unsigned int> m_col_no;
                Gtk::TreeModelColumn<Glib::ustring> m_col_wallp;
        };

        ModelColumns m_Columns;
    
        Process *pro;

        Glib::RefPtr<Gnome::Glade::Xml> m_refGlade;
        Gtk::Button *m_pButton_about, *m_pButton_quit, *m_pButton_change, *m_pButton_save, *m_pButton_kill, *m_pButton_restart;
        Gtk::Image *m_Picture;
        Gtk::TreeView *m_TreeView;
        Glib::RefPtr<Gtk::ListStore> m_refTreeModel;
};
#endif //WALLPAPOZ_H
